package com.yeejoin.amos.patrol.business.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("移动巡检点入参")
public class MovePointParam {
	@ApiModelProperty("巡检点名称")
	private String name;
	@ApiModelProperty("是否离线")
	private Boolean offline = false;
	@ApiModelProperty(value="巡检点编号",required=true)
	private String pointNo;
	@ApiModelProperty("说明")
	private String remark;
	@ApiModelProperty("最多拍照数")
	private int shotMaxNumber;
	@ApiModelProperty("最少拍照数")
	private int shotMinNumber;
	private String orgCode;
	private String creatorId;
	@ApiModelProperty("路线id（以英文半角符号分割id）")
	private String inputItems;
	
	private String level = "1";

	
	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getCreatorId() {
		return creatorId;
	}

	public void setCreatorId(String creatorId) {
		this.creatorId = creatorId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Boolean getOffline() {
		return offline;
	}

	public void setOffline(Boolean offline) {
		this.offline = offline;
	}

	public String getPointNo() {
		return pointNo;
	}

	public void setPointNo(String pointNo) {
		this.pointNo = pointNo;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public int getShotMaxNumber() {
		return shotMaxNumber;
	}

	public void setShotMaxNumber(int shotMaxNumber) {
		this.shotMaxNumber = shotMaxNumber;
	}

	public int getShotMinNumber() {
		return shotMinNumber;
	}

	public void setShotMinNumber(int shotMinNumber) {
		this.shotMinNumber = shotMinNumber;
	}

	public String getInputItems() {
		return inputItems;
	}

	public void setInputItems(String inputItems) {
		this.inputItems = inputItems;
	}

}
